Pull Request Labels - Get

プル要求に割り当てられている 1 つのラベル (タグ) を取得します。

GET https://dev.azure.com/{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/labels/{labelIdOrName}?api-version=7.1
GET https://dev.azure.com/{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/labels/{labelIdOrName}?projectId={projectId}&api-version=7.1

URI パラメーター

名前 / 必須 説明
labelIdOrName
path True

string

要求されたラベルの名前または ID。

organization
path True

string

Azure DevOps 組織の名前。

pullRequestId
path True

integer (int32)

プル要求の ID。

repositoryId
path True

string

プル要求のターゲット ブランチのリポジトリ ID。

project
path

string

プロジェクト ID またはプロジェクト名

api-version
query True

string

使用する API のバージョン。 このバージョンの API を使用するには、これを '7.1' に設定する必要があります。

projectId
query

string

プロジェクト ID またはプロジェクト名。

応答

名前 説明
200 OK

WebApiTagDefinition

成功した操作

セキュリティ

oauth2

型: oauth2
フロー: accessCode
Authorization URL (承認 URL): https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL (トークン URL): https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

スコープ

名前 説明
vso.code コミット、変更セット、ブランチ、およびその他のバージョン管理成果物に関するソース コードとメタデータを読み取る機能を付与します。 また、コードを検索し、サービス フックを使用してバージョン管理イベントに関する通知を受け取る機能も付与されます。

定義

WebApiTagDefinition

ネットワーク経由で送信されるタグ定義の表現。

名前 説明
active

boolean

タグ定義がアクティブかどうか。

id

string (uuid)

タグ定義の ID。

name

string

タグ定義の名前。

url

string

タグ定義のリソース URL。